## javanet.staxutils.events
Class NotationDeclarationEvent

    java.lang.Object
      javanet.staxutils.events.AbstractXMLEvent
          javanet.staxutils.events.NotationDeclarationEvent

All Implemented Interfaces:
  Serializable, Cloneable, ExtendedXMLEvent, NotationDeclaration, XMLEvent, XMLStreamConstants

    public class NotationDeclarationEvent

extends AbstractXMLEvent
implements NotationDeclaration

`NotationDeclaration` implementation.

Version:
  $Revision: 1.2 $
Author:
  Christian Niles
See Also:
  Serialized Form

Field Summary
`protected String` `name` The notation name.
`protected String` `publicId` The public id of the notation
`protected String` `systemId` The system id of the notation

Fields inherited from class javanet.staxutils.events.AbstractXMLEvent
`location, schemaType`

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Constructor Summary
`NotationDeclarationEvent(NotationDeclaration that)`
`NotationDeclarationEvent(String name, String publicId, Location location)`
`NotationDeclarationEvent(String name, String publicId, String systemId, Location location)`

Method Summary
`int` `getEventType()` Returns `XMLStreamConstants.NOTATION_DECLARATION`.
`String` `getName()`
`String` `getPublicId()`
`String` `getSystemId()`

Methods inherited from class javanet.staxutils.events.AbstractXMLEvent
`asCharacters, asEndElement, asStartElement, clone, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, matches, toString, writeAsEncodedUnicode, writeEvent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.stream.events.XMLEvent
`asCharacters, asEndElement, asStartElement, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

Field Detail

### name

    protected String name

  The notation name.

### publicId

    protected String publicId

  The public id of the notation

### systemId

    protected String systemId

  The system id of the notation

Constructor Detail

### NotationDeclarationEvent

    public NotationDeclarationEvent(String name,
                                    String publicId,
                                    Location location)

### NotationDeclarationEvent

    public NotationDeclarationEvent(String name,
                                    String publicId,
                                    String systemId,
                                    Location location)

### NotationDeclarationEvent

    public NotationDeclarationEvent(NotationDeclaration that)

Method Detail

### getEventType

    public int getEventType()

  Returns `XMLStreamConstants.NOTATION_DECLARATION`.

  Specified by:
    `getEventType` in interface `XMLEvent`

### getName

    public String getName()

  Specified by:
    `getName` in interface `NotationDeclaration`

### getPublicId

    public String getPublicId()

  Specified by:
    `getPublicId` in interface `NotationDeclaration`

### getSystemId

    public String getSystemId()

  Specified by:
    `getSystemId` in interface `NotationDeclaration`